# 

## Preliminaries
It is tested under Red Hat Enterprise Linux Workstation 7.7 (Maipo) and Python 3.5.5 environment, and requries Pytorch package to be installed:

* [Pytorch](http://pytorch.org/): (1.0.0) is available
* [numpy]: 1.16.4


```

###  Train networks
```
# model: DenseNet, dataset: CIFAR-10, gpu 0
python SDLtrain.py --net_type densenet --dataset cifar10  --gpu 0 

# model: ResNet, dataset: CIFAR-10, gpu 0
python SDLtrain.py --net_type resnet34 --dataset cifar10  --gpu 0
```

## Performance evaluation
```
# model: DenseNet, dataset: CIFAR-10, Noise std=0.3, gpu 0
python SDLtest.py --net_type densenet --dataset cifar10 --sigma 0.3  --gpu 0

# model: ResNet, dataset: CIFAR-10, Noise std=0.3, gpu 0
python SDLtest.py --net_type resnet34 --dataset cifar10 --sigma 0.3  --gpu 0

```
